"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_test_renderer_1 = tslib_1.__importDefault(require("react-test-renderer"));
var testHelpers_1 = require("./util/testHelpers");
describe('The field pack', function () {
    it('renders a minimal text field', function () {
        var Form1 = testHelpers_1.renderForm(testHelpers_1.minimalTextFieldForm);
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form1, null)).toJSON()).toMatchSnapshot();
        var Form2 = testHelpers_1.renderForm(function () {
            return testHelpers_1.minimalTextFieldForm({ description: 'Field description' });
        });
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal textarea field', function () {
        var Form = testHelpers_1.renderForm(testHelpers_1.minimalTextAreaFieldForm);
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form, null)).toJSON()).toMatchSnapshot();
        var Form2 = testHelpers_1.renderForm(function () {
            return testHelpers_1.minimalTextAreaFieldForm({ description: 'Field description' });
        });
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal select field', function () {
        var Form = testHelpers_1.renderForm(testHelpers_1.minimalSelectFieldForm);
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form, null)).toJSON()).toMatchSnapshot();
        var Form2 = testHelpers_1.renderForm(function () {
            return testHelpers_1.minimalSelectFieldForm({ description: 'Field description' });
        });
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal checkbox field', function () {
        var Form = testHelpers_1.renderForm(testHelpers_1.minimalCheckBoxFieldForm);
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form, null)).toJSON()).toMatchSnapshot();
        var Form2 = testHelpers_1.renderForm(function () {
            return testHelpers_1.minimalCheckBoxFieldForm({ description: 'Field description' });
        });
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal number field', function () {
        var Form = testHelpers_1.renderForm(testHelpers_1.minimalNumberFieldForm);
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form, null)).toJSON()).toMatchSnapshot();
        var Form2 = testHelpers_1.renderForm(function () {
            return testHelpers_1.minimalNumberFieldForm({ description: 'Field description' });
        });
        expect(react_test_renderer_1.default.create(react_1.default.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
});
//# sourceMappingURL=index.spec.js.map