"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minimalNumberFieldForm = exports.minimalCheckBoxFieldForm = exports.minimalSelectFieldForm = exports.minimalTextAreaFieldForm = exports.minimalTextFieldForm = exports.renderForm = void 0;
var tslib_1 = require("tslib");
var src_1 = tslib_1.__importStar(require("@saphe/react-form/src"));
var react_hooks_1 = require("@testing-library/react-hooks");
var __1 = require("..");
var renderForm = function (hook) {
    return react_hooks_1.renderHook(hook).result.current.Form;
};
exports.renderForm = renderForm;
var minimalTextFieldForm = function (props) {
    return src_1.default({
        name: 'minimalTextFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            textField: {
                type: src_1.FieldTypes.TEXT,
                label: 'Text Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
exports.minimalTextFieldForm = minimalTextFieldForm;
var minimalTextAreaFieldForm = function (props) {
    return src_1.default({
        name: 'minimalTextAreaFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            textAreaField: {
                type: src_1.FieldTypes.TEXTAREA,
                label: 'Textarea Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
exports.minimalTextAreaFieldForm = minimalTextAreaFieldForm;
var minimalSelectFieldForm = function (props) {
    return src_1.default({
        name: 'minimalSelectFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            selectField: {
                type: src_1.FieldTypes.SELECT,
                label: 'Select Field',
                description: props === null || props === void 0 ? void 0 : props.description,
                options: [
                    {
                        label: 'Option 1',
                        value: 'option-1',
                    },
                    {
                        label: 'Option 2',
                        value: 'option-2',
                    },
                ],
            },
        },
    });
};
exports.minimalSelectFieldForm = minimalSelectFieldForm;
var minimalCheckBoxFieldForm = function (props) {
    return src_1.default({
        name: 'minimalCheckBoxFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            checkBoxField: {
                type: src_1.FieldTypes.CHECKBOX,
                label: 'Checkbox Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
exports.minimalCheckBoxFieldForm = minimalCheckBoxFieldForm;
var minimalNumberFieldForm = function (props) {
    return src_1.default({
        name: 'minimalNumberFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            numberField: {
                type: src_1.FieldTypes.NUMBER,
                label: 'Number Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
exports.minimalNumberFieldForm = minimalNumberFieldForm;
//# sourceMappingURL=testHelpers.js.map