import React from 'react';
import renderer from 'react-test-renderer';
import { minimalCheckBoxFieldForm, minimalNumberFieldForm, minimalSelectFieldForm, minimalTextAreaFieldForm, minimalTextFieldForm, renderForm, } from './util/testHelpers';
describe('The field pack', function () {
    it('renders a minimal text field', function () {
        var Form1 = renderForm(minimalTextFieldForm);
        expect(renderer.create(React.createElement(Form1, null)).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () {
            return minimalTextFieldForm({ description: 'Field description' });
        });
        expect(renderer.create(React.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal textarea field', function () {
        var Form = renderForm(minimalTextAreaFieldForm);
        expect(renderer.create(React.createElement(Form, null)).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () {
            return minimalTextAreaFieldForm({ description: 'Field description' });
        });
        expect(renderer.create(React.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal select field', function () {
        var Form = renderForm(minimalSelectFieldForm);
        expect(renderer.create(React.createElement(Form, null)).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () {
            return minimalSelectFieldForm({ description: 'Field description' });
        });
        expect(renderer.create(React.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal checkbox field', function () {
        var Form = renderForm(minimalCheckBoxFieldForm);
        expect(renderer.create(React.createElement(Form, null)).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () {
            return minimalCheckBoxFieldForm({ description: 'Field description' });
        });
        expect(renderer.create(React.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal number field', function () {
        var Form = renderForm(minimalNumberFieldForm);
        expect(renderer.create(React.createElement(Form, null)).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () {
            return minimalNumberFieldForm({ description: 'Field description' });
        });
        expect(renderer.create(React.createElement(Form2, null)).toJSON()).toMatchSnapshot();
    });
});
//# sourceMappingURL=index.spec.js.map